Package org.eclipse.m2m.atl.emftvm.impl

## Class FeatureImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl
        - - org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl
          - - org.eclipse.m2m.atl.emftvm.impl.FeatureImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Feature`, `NamedElement`, `TypedElement`

Direct Known Subclasses:
  `FieldImpl`, `OperationImpl`

    public abstract class FeatureImpl
    extends TypedElementImpl
    implements Feature

An implementation of the model object 'Feature'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected java.lang.String` `context` The cached value of the '`Context`' attribute.
`protected static java.lang.String` `CONTEXT_EDEFAULT` The default value of the '`Context`' attribute.
`protected static java.lang.String` `CONTEXT_MODEL_EDEFAULT` The default value of the '`Context Model`' attribute.
`protected java.lang.String` `contextModel` The cached value of the '`Context Model`' attribute.
`protected org.eclipse.emf.ecore.EClassifier` `eContext` The cached value of the '`EContext`' reference.
`protected boolean` `static_` The cached value of the '`Static`' attribute.
`protected static boolean` `STATIC_EDEFAULT` The default value of the '`Static`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`eType, type, TYPE_EDEFAULT, TYPE_MODEL_EDEFAULT, typeModel`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `FeatureImpl()` Creates a new `FeatureImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EClassifier` `basicGetEContext()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetModule​(Module newModule, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`java.lang.String` `getContext()` Returns the value of the 'Context' attribute.
`java.lang.String` `getContextModel()` Returns the value of the 'Context Model' attribute.
`org.eclipse.emf.ecore.EClassifier` `getEContext()` Returns the value of the 'EContext' reference.
`Module` `getModule()` Returns the value of the 'Module' container reference.
`boolean` `isStatic()` Returns the value of the 'Static' attribute.
`void` `setContext​(java.lang.String newContext)` Sets the value of the '`Context`' attribute.
`void` `setContextModel​(java.lang.String newContextModel)` Sets the value of the '`Context Model`' attribute.
`void` `setEContext​(org.eclipse.emf.ecore.EClassifier newEContext)` Sets the value of the '`EContext`' reference.
`void` `setModule​(Module newModule)` Sets the value of the '`Module`' container reference.
`void` `setStatic​(boolean newStatic)` Sets the value of the '`Static`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`basicGetEType, getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`getName, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Field Detail

#### STATIC_EDEFAULT

    protected static final boolean STATIC_EDEFAULT

The default value of the '`Static`' attribute.

See Also:
  `isStatic()`, Constant Field Values

#### static_

    protected boolean static_

The cached value of the '`Static`' attribute.

See Also:
  `isStatic()`

#### eContext

    protected org.eclipse.emf.ecore.EClassifier eContext

The cached value of the '`EContext`' reference.

See Also:
  `getEContext()`

#### CONTEXT_EDEFAULT

    protected static final java.lang.String CONTEXT_EDEFAULT

The default value of the '`Context`' attribute.

See Also:
  `getContext()`

#### context

    protected java.lang.String context

The cached value of the '`Context`' attribute.

See Also:
  `getContext()`

#### CONTEXT_MODEL_EDEFAULT

    protected static final java.lang.String CONTEXT_MODEL_EDEFAULT

The default value of the '`Context Model`' attribute.

See Also:
  `getContextModel()`

#### contextModel

    protected java.lang.String contextModel

The cached value of the '`Context Model`' attribute.

See Also:
  `getContextModel()`

### Constructor Detail

#### FeatureImpl

    protected FeatureImpl()

Creates a new `FeatureImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `TypedElementImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### isStatic

    public boolean isStatic()

Returns the value of the 'Static' attribute.

If the meaning of the 'Static' attribute isn't clear, there really should be more of a description here...

Specified by:
  `isStatic` in interface `Feature`
Returns:
  the value of the 'Static' attribute.
See Also:
  `Feature.setStatic(boolean)`, `EmftvmPackage.getFeature_Static()`

#### setStatic

    public void setStatic​(boolean newStatic)

Sets the value of the '`Static`' attribute.

Specified by:
  `setStatic` in interface `Feature`
Parameters:
  `newStatic` - the new value of the 'Static' attribute.
See Also:
  `Feature.isStatic()`

#### getEContext

    public org.eclipse.emf.ecore.EClassifier getEContext()

Returns the value of the 'EContext' reference.

If the meaning of the 'EContext' reference isn't clear, there really should be more of a description here...

Specified by:
  `getEContext` in interface `Feature`
Returns:
  the value of the 'EContext' reference.
See Also:
  `Feature.setEContext(EClassifier)`, `EmftvmPackage.getFeature_EContext()`

#### basicGetEContext

    public org.eclipse.emf.ecore.EClassifier basicGetEContext()

See Also:
  `getEContext()`

#### setEContext

    public void setEContext​(org.eclipse.emf.ecore.EClassifier newEContext)

Sets the value of the '`EContext`' reference.

Specified by:
  `setEContext` in interface `Feature`
Parameters:
  `newEContext` - the new value of the 'EContext' reference.
See Also:
  `Feature.getEContext()`

#### getContext

    public java.lang.String getContext()

Returns the value of the 'Context' attribute.

If the meaning of the 'Context' reference isn't clear, there really should be more of a description here...

Specified by:
  `getContext` in interface `Feature`
Returns:
  the value of the 'Context' attribute.
See Also:
  `Feature.setContext(String)`, `EmftvmPackage.getFeature_Context()`

#### setContext

    public void setContext​(java.lang.String newContext)

Sets the value of the '`Context`' attribute.

Specified by:
  `setContext` in interface `Feature`
Parameters:
  `newContext` - the new value of the 'Context' attribute.
See Also:
  `Feature.getContext()`

#### getContextModel

    public java.lang.String getContextModel()

Returns the value of the 'Context Model' attribute.

If the meaning of the 'Context Model' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getContextModel` in interface `Feature`
Returns:
  the value of the 'Context Model' attribute.
See Also:
  `Feature.setContextModel(String)`, `EmftvmPackage.getFeature_ContextModel()`

#### setContextModel

    public void setContextModel​(java.lang.String newContextModel)

Sets the value of the '`Context Model`' attribute.

Specified by:
  `setContextModel` in interface `Feature`
Parameters:
  `newContextModel` - the new value of the 'Context Model' attribute.
See Also:
  `Feature.getContextModel()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `TypedElementImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `TypedElementImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `TypedElementImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `TypedElementImpl`

#### getModule

    public Module getModule()

Returns the value of the 'Module' container reference. It is bidirectional and its opposite is '`Features`'.

If the meaning of the 'Module' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getModule` in interface `Feature`
Returns:
  the value of the 'Module' container reference.
See Also:
  `Feature.setModule(Module)`, `EmftvmPackage.getFeature_Module()`, `Module.getFeatures()`

#### basicSetModule

    public org.eclipse.emf.common.notify.NotificationChain basicSetModule​(Module newModule,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setModule(Module)`

#### setModule

    public void setModule​(Module newModule)

Sets the value of the '`Module`' container reference.

Specified by:
  `setModule` in interface `Feature`
Parameters:
  `newModule` - the new value of the 'Module' container reference.
See Also:
  `Feature.getModule()`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TypedElementImpl`